function [dseq]=RefVirusDistSeqMedoidMedoid()

 clear All;
 dirName=strcat('./ReferenceSeq-VirusWise-MedoidMedoid/','/**/*.csv');
 path=dir(fullfile(dirName));
 sz=size(path);
 
 for i=1:sz(1)
    filename=path(i).name;
    file=strcat('./ReferenceSeq-VirusWise-MedoidMedoid/',filename);
%    tempData=importdata(file);
    tempData = readtable(file, 'delimiter', ',', 'ReadVariableNames', false, 'HeaderLines', 1);
    tempData.Properties.VariableNames = {'pid', 'class','seqDist', 'seq'};  %name the columns of the table
%    ran=ceil(random('unif',1,size(tempData,1),1,10))
%    ran = randi(size(tempData,1),1,10)
    dataSeqID=tempData(:,1);
    dataSeqCountry=tempData(:,2);
    dataSeq=tempData(:,4);
    
    dseq=[];
    ndistseq=[];
    totalSeqDist=[];
    
    for j= 1: size(dataSeq,1)
     Seq1=table2cell(dataSeq(j,1));
     for k= 1: size(dataSeq,1)
        Seq2=table2cell(dataSeq(k,1));
        Seqs=[Seq1;Seq2];
        dseq(j,k) = seqpdist(Seqs,'Method','Jukes-Cantor','Indels','score','UseParallel', 'true','ScoringMatrix','pam250');
%         dseq(j,k) = seqpdist(Seqs,'UseParallel', 'true');
     end
    seqDist=0;
    pid=table2cell([dataSeqID(j,1);dataSeqID(:,1)]);
    class=table2cell([dataSeqCountry(j,1);dataSeqCountry(:,1)]);
    seqDist=[seqDist;dseq(j,:)'];
    seq=table2cell([dataSeq(j,1);dataSeq(:,1)]);
    T1 = table(pid,class,seqDist,seq);
    fname=char(strcat(class(1,1),'.csv'));
    filenameTemp=strcat('./ReferenceSeq-VirusWise-MedoidMedoid/Results/',fname);
    writetable(T1,filenameTemp); 
    
    T2 = table(dseq(j,:)');
    filenameTemp=strcat('./ReferenceSeq-VirusWise-MedoidMedoid/Results/DistMat/',fname);
    writetable(T2,filenameTemp); 
    
%     tempval=0;
%     tempDist=[dseq(j,:)];
%     tempndseq = tempDist - min(tempDist);
%     ndseq = tempndseq ./ max(tempDist);
    
    ndseq=(1-dseq(j,:))*100;
    ndistseq =[ndistseq;ndseq];
    j
    end
 end
    Country=table2cell(dataSeqCountry(:,1));
    T3 = table(ndistseq,'RowNames',Country);
    filenameTemp=strcat('./ReferenceSeq-VirusWise-MedoidMedoid/Results/DistMat/','NorDistMat1.csv');
    writetable(T3,filenameTemp); 
    
    T4 = table(dseq,'RowNames',Country);
    filenameTemp=strcat('./ReferenceSeq-VirusWise-MedoidMedoid/Results/DistMat/','DistMat.csv');
    writetable(T4,filenameTemp); 
    
%    nvaldseq=(ceil(max(max(dseq)))-dseq)*100;
    tempndseq = dseq - min(min(dseq));
    tempnvaldseq = tempndseq ./ max(max(dseq));
    nvaldseq=(1-tempnvaldseq)*100;
    
    T5 = table(nvaldseq,'RowNames',Country);
    filenameTemp=strcat('./ReferenceSeq-VirusWise-MedoidMedoid/Results/DistMat/','NorDistMat2.csv');
    writetable(T5,filenameTemp); 
 
end
 

